<?php

namespace Drupal\Tests\onlyone\Kernel;

use Drupal\KernelTests\KernelTestBase;

/**
 * Test the module configurations.
 *
 * @group onlyone
 */
class DefaultConfigurationTest extends KernelTestBase {

  /**
   * Modules to enable.
   *
   * @var array
   */
  protected static $modules = ['onlyone'];

  /**
   * Tests the default configuration values.
   */
  public function testDefaultConfigurationValues() {
    // Installing the configuration file.
    $this->installConfig(self::$modules);
    // Getting the config factory service.
    $config_factory = $this->container->get('config.factory');
    // Getting variable onlyone_node_types.
    $onlyone_node_types = $config_factory->get('onlyone.settings')->get('onlyone_node_types');
    // Checking if the onlyone_node_types variable is empty.
    $this->assertEmpty($onlyone_node_types, t('The default configuration value for onlyone_node_types should be empty.'));
    // Getting variable onlyone_node_types.
    $onlyone_new_menu_entry = $config_factory->get('onlyone.settings')->get('onlyone_new_menu_entry');
    // Checking if the onlyone_new_menu_entry variable is FALSE.
    $this->assertFalse($onlyone_new_menu_entry, 'The default configuration value for onlyone_new_menu_entry should be FALSE.');

  }

}
